<?php

require_once(__DOCROOT__ . __SUBDIRECTORY__  . '/classes/Crypt.php');
require_once(__DOCROOT__ . __SUBDIRECTORY__  . '/classes/LZLibrary.php');
require_once(__DOCROOT__ . __SUBDIRECTORY__  . '/classes/Basic.php');
require_once(__DOCROOT__ . __SUBDIRECTORY__  . '/classes/library/BuatFilterReq.php');
require_once(__DOCROOT__ . __SUBDIRECTORY__  . '/classes/library/BpjsCache.php');

$variabelBpjs = getVariabelBpjs(); //From Classes/Basic.php
define("STR_BASE_URL", $variabelBpjs['STR_BASE_URL']);
define("STR_BASE_URL_ANTRIAN", $variabelBpjs['STR_BASE_URL_ANTRIAN']);
define("STR_SERVICE_PROVIDER_CODE", $variabelBpjs['STR_SERVICE_PROVIDER_CODE']);
define("STR_CONSUMER_ID", $variabelBpjs['STR_CONSUMER_ID']);
define("STR_SECRET_KEY", $variabelBpjs['STR_SECRET_KEY']);
define("STR_USER_KEY", $variabelBpjs['STR_USER_KEY']);
define("STR_USER_KEY_ANTRIAN", $variabelBpjs['STR_USER_KEY_ANTRIAN']);
        
$strActivityId = System::GetValue('activity_id', null);
$strActivityAntrian = System::getPartition($strActivityId);
$dtActivityOnPartition = System::getPartition($strActivityId);
$objActivityNursing = HmisPatientNursing::LoadByActivityId($strActivityId, $dtActivityOnPartition);
$strNamaOrang = ViewHelper::singkatNama($objHmisPatientNursing->FirstName);
$objHmisPatient = HmisRefPatient::LoadById($objHmisPatientNursing->PatientId);
$objHmisPatientNursing = HmisRefPatient::LoadById($objHmisPatientNursing->PatientId);
// $strTanggalSJP = $objHmisPatientNursing->RegisterWarantyLetterDate ? $objHmisPatientNursing->RegisterWarantyLetterDate->PhpDate('d/m/Y') : '';
// $strTanggalRujukan = $objHmisPatientNursing->RegisterReferalDate ? $objHmisPatientNursing->RegisterReferalDate->PhpDate('d/m/Y') : '';
if($objActivityNursing->DateOfBirth && $objActivityNursing->CreateTime){
  $umur = ViewHelper::stringUmur($objActivityNursing->DateOfBirth->getTimestamp(), $objActivityNursing->CreateTime->getTimestamp(), false);
}else{
  $umur = '';
}
$objUser = SystemUser::LoadById($objActivityNursing->CreateUser);
$objHmisPatient = HmisRefPatient::LoadById($objHmisPatientNursing->PatientId);
    $namaPatient = ViewHelper::singkatNama(ViewHelper::namaPatient($objHmisPatient));
$objHmisPatientNursing = ActivityNursing::LoadByActivityId($strActivityId,$dtActivityOnPartition);
$objHmisPatient = HmisRefPatient::LoadById($objHmisPatientNursing->PatientId);


?>
<?php
$strActivityId = System::GetValue('activity_id', null);
$dtActivityOnPartition = System::getPartition($strActivityId);
$objHmisPatientNursing = ActivityNursing::LoadByActivityId($strActivityId, $dtActivityOnPartition);
$objHmisPatient = HmisRefPatient::LoadById($objHmisPatientNursing->PatientId);
//$namaPatient = ViewHelper::namaPatient($objHmisPatient);

$namaPatient = $objHmisPatientNursing->FirstName;
if($objHmisPatient->Predicate){
    $namaPatient = $namaPatient . ', ' . $objHmisPatient->Predicate;
}


?>
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
</head>
<body>
<style type="text/css" media="all">
    @media print {
        .noprint {
            display: none;
        }
    }

    @media print {
        @page {
            /* size: 24.2cm 22cm; */
            margin-top: 0.5cm;
            margin-bottom: 0cm;
            margin-left: 0cm;
            margin-right: 1cm;
        }
    }

    body,td{
        font-size: 16px;
font-family: arial;
        line-height: 20px;
    }

    table thead {
        display: table-header-group;

    }

    table{
        width: 100%;
font-family: arial;
    }
    .row {
            display: flex;
            justify-content: left;
            flex-direction: row;
font-family: arial;
        }

    .td {
            display: flex;
            justify-content: left;
            flex-direction: row;
font-size: 13px;
font-family: arial;

        }





    .col1 {width: 8.33%;}
    .col2 {width: 13%;}
    .col3 {width: 25%;}
    .col4 {width: 33.33%;}
    .col5 {width: 35.66%;}
    .col6 {width: 50%;}
    .col7 {width: 57.33%;}
    .col8 {width: 66.66%;}
    .col9 {width: 60%;}
    .col10 {width: 83.33%;}
    .col11 {width: 91.66%;}
    .col12 {width: 100%;}  
  .col13 {width: 66%;}



</style>
<script src="<?= __ASSETS__ . '/user/js/require.js' ?>"></script>
<table>
<tr height="40px"></tr>


</table>

<div class="noprint">
    <a href="#" onclick="window.close()">
        <img src="<?= __USER_ASSETS__ ?>/images/arrow.jpg" alt="" class="" title="print" width="30" height="30">
    </a>
    <a href="#" onclick="print()">
        <img src="<?= __USER_ASSETS__ ?>/images/print-icon.png" alt="" title="print" width="30" height="30">
    </a>
    <!-- <button onclick="cetak()">E-Print</button> -->
</div>
<div class="print">
<!-- start -->

<div class="row">
    <div class="col4" style="padding-top: 15px">
        <img src="<?= __USER_ASSETS__ ?>/images/logo-bpjs.jpg" style="width: 230px; height: auto;">
    </div>
    <div class="col8">
        <h3>SURAT ELEGIBILITAS PESERTA<br>
            <?= Profile::NamaOrganisasi(); ?>&nbsp;SITUBONDO
        </h3>
    </div>
</div>
<div class="row">
    <div class="col7">
        <div class="row">
            <table border="0px";>
                <tr>
                    <td>No.SEP</td>
                    <td>: <?= $objActivityNursing->RegisterWarantyLetterNumber ?></td>
                </tr>
                <tr>
                    <td>Tgl.SEP</td>
                    <td>: <?= $objActivityNursing->RegisterWarantyLetterDate ? $objActivityNursing->RegisterWarantyLetterDate->PhpDate('Y-m-d') : '' ?>,&nbsp;Jam:&nbsp;<?= $objActivityNursing->NursingStartTime ? $objActivityNursing->NursingStartTime->PhpDate('H:i:s') : '' ?></td>
                </tr>
                <tr>
                    <td>No.Kartu</td>
                    <td>: <?= $objActivityNursing->RegisterMembershipNumber ?> ( MR. <?= $objActivityNursing->Mr ?> )</td>
                </tr>
                <tr>
                    <td>Nama Peserta</td>

                    <td>: <?= $namaPatient; ?> </td>
                </tr>
                <tr>
                    <td>Tgl.Lahir</td>
                    <td>: 
                        <?= $objActivityNursing->RegisterDateOfBirth ? $objActivityNursing->RegisterDateOfBirth->PhpDate('Y-m-d') :
 ($objActivityNursing->DateOfBirth ? $objActivityNursing->DateOfBirth->PhpDate('Y-m-d') : '') ?> 
, Umur: <?= $umur ?>,

                        JK : <?= $objActivityNursing->Gender == 'MALE' ? "Laki-laki" : "Perempuan" ?>
                    </td>
                </tr>
                <tr>
                    <td>No.Telepon</td>
                    <td>: <?= $objActivityNursing->HomePhone ? $objActivityNursing->HomePhone : $objActivityNursing->MobilePhone ?></td>
                </tr>
                <?php
                    if($objActivityNursing->DepartmentName){
                        $strDepartmentName = $objActivityNursing->DepartmentName;
                    }else{
                        if($objActivityNursing->StartCheckinDepartmentId){
                            $objHmisRefDepartment = HmisRefDepartment::Load($objActivityNursing->StartCheckinDepartmentId);
                        }
                        $strDepartmentName = $objHmisRefDepartment ? $objHmisRefDepartment->Name : '';
                    }
                ?>
                <tr>
                    <td>Sub/Spesialis</td>
                    <td>: <?= $strDepartmentName ?> <?= $objActivityAntrian->NPoli ?> </td>
                </tr>
                <tr>
                    <td>DPJP Yg Melayani</td>
                    <td>: <?= $objActivityNursing->DoctorName ?></td>
                </tr>
                <tr>
                    <td>Faskes Perujuk</td>
                    <td>: <?= $objActivityNursing->RegisterReferalMedicalServiceName ?></td>
                </tr>
                <tr>
                    <td>Diagnosa Awal</td>
                    <td>: <?= $objActivityNursing->RegisterReferalDiagnoseCode .' - '. $objActivityNursing->RegisterReferalDiagnoseDescription ?></td>
                </tr>
                <tr>
                    <td>Catatan</td>
                    <td>: <?= $objActivityNursing->SepCatatanPetugas ?></td>
                </tr>
            </table>
        </div>
    </div>
    <div class="col5">
        <br>
        <table>
            <!-- <tr>
                <td width="";>Peserta</td>
                <td>: <?= $objActivityNursing->RegisterContractServiceName ?></td>
            </tr> -->
            <?php
                // System::WriteLog('x-req-sep-test-0.txt',$objActivityNursing->RegisterWarantyLetterNumber);
                if( strlen($objActivityNursing->RegisterWarantyLetterNumber) ) {
                    // System::WriteLog('x-req-sep-test-1.txt',$objActivityNursing->RegisterWarantyLetterNumber);
                    if ( strlen($objActivityNursing->RegisterMembershipSource) == 0 ) {
                       System::WriteLog('x-req-sep.txt',$objActivityNursing->RegisterWarantyLetterNumber);
                       $jsonRespSEP = BpjsCache::selectSEP($objActivityNursing->RegisterWarantyLetterNumber);
                       $objRespSEP = json_decode($jsonRespSEP);
                       $objSEP = json_decode($objRespSEP->Profile);
                       $objActivityNursing->RegisterMembershipSource=$objSEP->peserta->jnsPeserta;
		       $objActivityNursing->RegisterServiceLevelCode=$objSEP->klsRawat->klsRawatHak;
                       $objActivityNursing->Save(false,false,false);
                       $objActivityNursing->ShareAll();
		    }
                }
            ?>
            <tr>
                <td>Peserta</td>
                <td>: <?= $objActivityNursing->RegisterMembershipSource ? $objActivityNursing->RegisterMembershipSource : $objSEP->peserta->jnsPeserta ?></td>
            </tr>
            <tr>
                <td>COB</td>
                <td>: <?= '-' ?></td>
            </tr>
<?php
if($objActivityNursing->NursingCategory == 1)
{
    $strJenisRawat = 'R.Jalan';
}
elseif($objActivityNursing->NursingCategory == 2)
{
    $strJenisRawat = 'R.Jalan';
}
elseif($objActivityNursing->NursingCategory == 3)
{
    $strJenisRawat = 'R.Inap';
}
?>
            <tr>
                <td>Jns.Rawat</td>
                <td>: <?= $strJenisRawat ?></td>
            </tr>
            <?php
                if( strlen($objActivityNursing->RegisterServiceLevelCode)==0 ) {
                    $objHmisPatientNursingSepMonitoring = HmisPatientNursingSepMonitoring::QuerySingle(QQ::Equal(QQN::HmisPatientNursingSepMonitoring()->NoSep, $objActivityNursing->RegisterWarantyLetterNumber));
                }
            ?>
            <tr>
                <td>Kls.Rawat</td>
                <td>: <?= $objActivityNursing->RegisterServiceLevelCode ? $objActivityNursing->RegisterServiceLevelCode : $objHmisPatientNursingSepMonitoring->KelasRawat ?></td>
            </tr>
            <tr>
                <td>Kls. Rawat Inap yang Ditempati</td>
                <td>: <?= $objHmisPatientNursing->PresentClassName ?></td>
            </tr>
<tr>
                <td>Penjamin</td>
                <td>: <?= '' ?></td>
            </tr>
        </table>
    </div>
</div>
<div class="row">
    <div class="col9" style="font-size: 13px; font-weight: 600">
        *Saya menyetujui BPJS Kesehatan menggunakan informasi medis pasien jika diperlukan.<br>
        *SEP Bukan sebagai bukti penjamin peserta.
	<br>
        *Cetakan ke 1. [ <?= $objActivityNursing->NursingStartDateTime->PhpDate('d-m-Y H:i:s') ?> ]
    </div>
    <div class="col13">
        Pasien / Keluarga Pasien &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;  Petugas Rumah Sakit                         <br/>
        <br/><br/>
        <br/>
        &nbsp;___________________&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;                 <u><?= $objUser->FullName; ?></u>
    </div>
<!--    <div class="col5">
        Petugas Rumah Sakit<br/>
        <br/><br/>
<br>
        <u><?= $objUser->FullName; ?></u>
        <br/>
        
    </div> -->
</div>

<!--<?php if($objActivityNursing->NursingCategory == 1 || $objActivityNursing->NursingCategory == 2 || $objActivityNursing->NursingCategory == 3): ?>
    <div>
        <center>
            <h3>RESUME MEDIS</h3>
        </center>
    </div>
    <div class="row">
        <div class="col7">
            <div class="row">
                <table >
                    <tbody>
                        <tr>
                            <td>No.RM</td>
                            <td>: <?= $objActivityNursing->Mr ?></td>
                        </tr>
                        <tr>
                            <td>Layanan</td>
                            <td>: <b><?= $strDepartmentName ?></b></td>
                        </tr>
                        <tr>
                            <td>Tgl. Masuk/Keluar</td>
                            <td>:<?= $objActivityNursing->NursingStartDate ? $objActivityNursing->NursingStartDate->PhpDate('d-m-Y') : '' ?>
                                /
                                <?= $objActivityNursing->NursingEndDate ? $objActivityNursing->NursingEndDate->PhpDate('d-m-Y') : '' ?>
                            </td>
                        </tr>
                        <tr>
                            <td>Umur</td>
                            <td>: <?= $umur ?></td>
                        </tr>
                        <tr>
                            <td>Cara Pulang</td>
                            <td>: ....................
                                Berat Lahir
                                : ................</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <div class="col5">
            <br>
            <table>

            </table>
        </div>
    </div>

    <div>
        <div class="row">
            <table rules="all" >
                <tr align="center">
                    <td class="col6">DIAGNOSA</td>
                    <td class="col1">ICD</td>
                    <td class="col4">DOKTER</td>
                    <td class="col2">TTD</td>
                </tr>
                <tr>
                    <td>
                        Diagnosa Utama :
                        <br></br>
                        <br></br>
                        <p>Diagnosa Sekunder:
                        <p>1.
                        <p>2.
                        <p>3.
                        <p>4.
                        <p>5.
                            <br>
                    </td>
                    <td></td>
                    <td></td>
                    <td></td>
                </tr>
                <tr align="center">
                    <td>PROSEDUR</td>
                    <td>ICD</td>
                    <td>DOKTER</td>
                    <td>TTD</td>
                </tr>
                <tr>
                    <td>
                        <p>1.
                        <p>2.
                        <p>3.
                        <p>4.
                        <p>5.
                            <br>
                    </td>
                    <td></td>
                    <td></td>
                    <td></td>
                </tr>
            </table>
        </div>
    </div>
    <div>
        <div class="row">
            <table>
                <tr align="center">
                    <td class="col6">
                        <br>Pasien/Keluarga Pasien<br>
                        <br><br>
                        (______________)
                    </td>
                    <td class="col6"><br>Petugas <?= $strDepartmentName ?><br>
                        <br><br>
                        (______________)
                    </td>


                </tr>
            </table>
        </div>
    </div>

<?php endif;?>

<!-- end -->

</div>

</body>
</html>
